class RscBankDialog {
    idd = IDD_BANKDIALOG;
    movingEnable = 1;
    enableSimulation = 1;

    class controlsBackground {
        class MainBackground: RscText {
            idc = -1;
            x = "0.25 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.5 * safezoneW";
            h = "0.725 * safezoneH";
            colorBackground[] = {0, 0, 0, 0.7};
        };

        class DialogTitle: RscText {
            idc = IDC_DIALOGNAME;
            text = CSTRING(Name);
            x = "0.25 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.5 * safezoneW";
            h = "0.0325 * safezoneH";
            colorBackground[] = {0.1, 0.1, 0.1, 1};
        };
    };

    class controls {
        class WalletGroup: RscControlsGroup {
            idc = IDC_WALLETGROUP;
            x = "0.26 * safezoneW + safezoneX";
            y = "0.17 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.15 * safezoneH";

            class controls {
                class WalletBackground: RscText {
                    idc = -1;
                    x = 0;
                    y = 0;
                    w = "0.23 * safezoneW";
                    h = "0.15 * safezoneH";
                    colorBackground[] = {0.1, 0.1, 0.1, 0.8};
                };

                class WalletTitle: RscText {
                    idc = -1;
                    text = CSTRING(Wallet);
                    x = 0;
                    y = 0;
                    w = "0.23 * safezoneW";
                    h = "0.0325 * safezoneH";
                };

                class CashText: RscText {
                    idc = IDC_CASHTEXT;
                    x = "0.01 * safezoneW";
                    y = "0.04 * safezoneH";
                    w = "0.21 * safezoneW";
                    h = "0.0325 * safezoneH";
                };

                class BankText: RscText {
                    idc = IDC_BANKTEXT;
                    x = "0.01 * safezoneW";
                    y = "0.08 * safezoneH";
                    w = "0.21 * safezoneW";
                    h = "0.0325 * safezoneH";
                };
            };
        };

        class RatingGroup: RscControlsGroup {
            idc = IDC_RATINGGROUP;
            x = "0.51 * safezoneW + safezoneX";
            y = "0.17 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.15 * safezoneH";

            class controls {
                class RatingBackground: RscText {
                    idc = -1;
                    x = 0;
                    y = 0;
                    w = "0.23 * safezoneW";
                    h = "0.15 * safezoneH";
                    colorBackground[] = {0.1, 0.1, 0.1, 0.8};
                };

                class RatingTitle: RscText {
                    idc = -1;
                    text = CSTRING(Rating);
                    x = 0;
                    y = 0;
                    w = "0.23 * safezoneW";
                    h = "0.0325 * safezoneH";
                };

                class RatingText: RscText {
                    idc = IDC_RATINGTEXT;
                    x = "0.01 * safezoneW";
                    y = "0.04 * safezoneH";
                    w = "0.21 * safezoneW";
                    h = "0.0325 * safezoneH";
                };

                class TimesheetText: RscText {
                    idc = IDC_TIMESHEETTEXT;
                    x = "0.01 * safezoneW";
                    y = "0.08 * safezoneH";
                    w = "0.21 * safezoneW";
                    h = "0.0325 * safezoneH";
                };
            };
        };

        class AmountLabel: RscText {
            idc = IDC_AMOUNTLABEL;
            text = CSTRING(Amount);
            x = "0.26 * safezoneW + safezoneX";
            y = "0.31 * safezoneH + safezoneY";
            w = "0.48 * safezoneW";
            h = "0.0325 * safezoneH";
        };

        class AmountInput: RscEdit {
            idc = IDC_AMOUNTINPUT;
            x = "0.26 * safezoneW + safezoneX";
            y = "0.34 * safezoneH + safezoneY";
            w = "0.48 * safezoneW";
            h = "0.0325 * safezoneH";
        };

        class PlayerLabel: RscText {
            idc = IDC_PLAYERLABEL;
            text = CSTRING(Player);
            x = "0.26 * safezoneW + safezoneX";
            y = "0.36 * safezoneH + safezoneY";
            w = "0.48 * safezoneW";
            h = "0.0325 * safezoneH";
        };

        class PlayerInput: RscCombo {
            idc = IDC_PLAYERINPUT;
            x = "0.26 * safezoneW + safezoneX";
            y = "0.39 * safezoneH + safezoneY";
            w = "0.48 * safezoneW";
            h = "0.0325 * safezoneH";
        };

        class DepositButton: RscButton {
            idc = IDC_DEPOSITBUTTON;
            text = CSTRING(Deposit);
            x = "0.26 * safezoneW + safezoneX";
            y = "0.44 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "_this call forge_client_bank_fnc_deposit";
        };

        class WithdrawButton: RscButton {
            idc = IDC_WITHDRAWBUTTON;
            text = CSTRING(Withdraw);
            x = "0.51 * safezoneW + safezoneX";
            y = "0.44 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "_this call forge_client_bank_fnc_withdraw";
        };

        class TimesheetButton: RscButton {
            idc = IDC_TIMESHEETBUTTON;
            text = CSTRING(SubmitTimesheet);
            x = "0.26 * safezoneW + safezoneX";
            y = "0.49 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "_this call forge_client_bank_fnc_submit";
        };

        class TransferButton: RscButton {
            idc = IDC_TRANSFERBUTTON;
            text = CSTRING(Transfer);
            x = "0.51 * safezoneW + safezoneX";
            y = "0.49 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "_this call forge_client_bank_fnc_transfer";
        };

        class CloseButton: RscButton {
            idc = IDC_CLOSEBUTTON;
            text = "X";
            x = "0.7225 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.0275 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "closeDialog 0";
        };
    };
};