#include "..\script_component.hpp"

/*
 * Function: forge_client_interaction_fnc_interactionAction
 * Author: IDSolutions
 *
 * [Description]
 * Initialize player interaction.
 *
 * Arguments:
 * 0: Index of current action array <NUMBER>
 *
 * Return Value:
 * N/A
 *
 * Examples:
 * [0] call forge_client_interaction_fnc_interactionAction;
 *
 * Public: Yes
 */

params ["_index"];

closeDialog 0;

call compile (FORGE_CurrentActionArray select _index);