#include "..\script_component.hpp"

/*
 * Function: forge_client_phone_fnc_addMsg
 * Author: IDSolutions
 *
 * [Description]
 * Adds a message to the message log.
 *
 * Arguments:
 * 0: Message <STRING> - The message to add
 *
 * Return Value:
 * None
 *
 * Example:
 * ["Hello World"] call forge_client_phone_fnc_addMsg;
 *
 * Public: Yes
 */

if (_this isEqualTo [""]) exitWith {};

private _tmp = call compile format ["%1", _this];
if ((typeName _tmp) isEqualTo "SCALAR") exitWith {};

GVAR(messages) = _this;